## org.gnu.gtk
Class FileChooserDialog

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.gtk.GtkObject
                  org.gnu.gtk.Widget
                      org.gnu.gtk.Container
                          org.gnu.gtk.Bin
                              org.gnu.gtk.Window
                                  org.gnu.gtk.Dialog
                                      org.gnu.gtk.FileChooserDialog

All Implemented Interfaces:
  FileChooser

public class FileChooserDialog
extends Dialog
implements FileChooser

Constructor Summary
`FileChooserDialog(org.gnu.glib.Handle handle)`
`FileChooserDialog(java.lang.String title, Window parent, FileChooserAction action)`

Method Summary
`void` `addFilter(FileFilter filter)`
`void` `addListener(FileChooserListener listener)`
`void` `addShortcutFolder(java.lang.String folder)`
`void` `addShortcutURI(java.lang.String uri)`
`FileChooserAction` `getAction()`
`java.lang.String` `getCurrentFolder()`
`java.lang.String` `getCurrentFolderURI()`
`Widget` `getExtraWidget()`
`static FileChooserDialog` `getFileChooserDialog(org.gnu.glib.Handle handle)` Internal static factory method to be used by Java-Gnome only.
`java.lang.String` `getFilename()`
`java.lang.String[]` `getFilenames()`
`FileFilter` `getFilter()`
`boolean` `getLocalOnly()`
`java.lang.String` `getPreviewFilename()`
`java.lang.String` `getPreviewURI()`
`Widget` `getPreviewWidget()`
`boolean` `getPreviewWidgetActive()`
`boolean` `getSelectMultiple()`
`boolean` `getShowHidden()` Sets whether hidden files and folders are displayed in the file selector.
`java.lang.String` `getURI()`
`java.lang.String[]` `getURIs()`
`boolean` `getUsePreviewLabel()`
`FileFilter[]` `listFilters()`
`java.lang.String[]` `listShortcutFolders()`
`java.lang.String[]` `listShortcutURIs()`
`int` `open()` Works similarly to `Dialog.run()`.
`void` `removeFilter(FileFilter filter)`
`void` `removeListener(FileChooserListener listener)`
`void` `removeShortcutFolder(java.lang.String folder)`
`void` `removeShortcutURI(java.lang.String uri)`
`void` `selectAll()`
`boolean` `selectFilename(java.lang.String filename)`
`boolean` `selectURI(java.lang.String uri)`
`void` `setAction(FileChooserAction action)`
`boolean` `setCurrentFolder(java.lang.String folder)`
`boolean` `setCurrentFolderURI(java.lang.String folder)`
`void` `setCurrentName(java.lang.String name)`
`void` `setExtraWidget(Widget extraWidget)`
`boolean` `setFilename(java.lang.String filename)`
`void` `setFilter(FileFilter filter)`
`void` `setLocalOnly(boolean localOnly)`
`void` `setPreviewWidget(Widget previewWidget)`
`void` `setPreviewWidgetActive(boolean active)`
`void` `setSelectMultiple(boolean selectMultiple)`
`void` `setShowHidden(boolean hidden)` Sets whether hidden files and folders are displayed in the file selector.
`boolean` `setURI(java.lang.String uri)`
`void` `setUsePreviewLabel(boolean useLabel)`
`void` `unselectAll()`
`void` `unselectFilename(java.lang.String filename)`
`void` `unselectURI(java.lang.String uri)`

Methods inherited from class org.gnu.gtk.Dialog
`addButton, addButton, addListener, addWidget, getActionArea, getDialog, getDialogLayout, getEventListenerClass, getEventType, getHasSeparator, getResponseForWidget, getType, removeListener, run, setDefaultResponse, setHasSeparator`

Methods inherited from class org.gnu.gtk.Window

`addAccelGroup, deiconify, destroy, fullscreen, getAcceptFocus, getDefaultIconList, getFocusOnMap, getFocusWidget, getGravity, getIcon, getIconList, getIconName, getPosition, getScreen, getSize, getSkipPagerHint, getSkipTaskbarHint, getTitle, getTransientParent, getWindow, hasToplevelFocus, iconify, isActive, isDestroyed, listToplevelWindows, maximize, move, present, removeAccelGroup, resize, setAcceptFocus, setAutoStartupNotification, setDecorated, setDefaultIcon, setDefaultIconFromFile, setDefaultIconList, setDefaultIconName, setDefaultSize, setDefaultWidget, setFocusOnMap, setFocusWidget, setGeometryHints, setGravity, setIcon, setIconFromFile, setIconList, setIconName, setKeepAbove, setKeepBelow, setModal, setPosition, setResizable, setScreen, setSkipPagerHint, setSkipTaskbarHint, setTitle, setTransientParent, stick, unfullscreen, unmaximize, unstick`

Methods inherited from class org.gnu.gtk.Bin
`getChild`

Methods inherited from class org.gnu.gtk.Container
`add, addListener, getBorderWidth, getChildren, getResizeMode, remove, removeListener, resizeChildren, setBorderWidth, setResizeMode`

Methods inherited from class org.gnu.gtk.Widget

`activate, addAccelerator, addEvents, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, canActivateAccel, createContext, createLayout, draw, drawArea, drawArea, finish, getAccessible, getColormap, getContext, getData, getDisplay, getDragData, getExtensionEvents, getModifierStyle, getName, getParent, getParentWindow, getPointer, getRootWindow, getSensitive, getStyle, getToplevel, getWidget, getWindow, grabDefault, grabFocus, hasFocus, hasScreen, hide, hideAll, highlight, highlight, intersect, isAncestor, makeWidget, modifyStyle, popColormap, pushColormap, realize, removeAccelerator, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, reparent, setBackgroundColor, setBaseColor, setColormap, setDoubleBuffered, setDragDestination, setDragIcon, setDragIconPixbuf, setDragIconStock, setDragSource, setEvents, setExtensionEvents, setFont, setForegroundColor, setMinimumSize, setName, setNoDragDestination, setNoDragSource, setSensitive, setTextColor, shapeCombineMask, show, showAll, unHighlight, unHighlight`

Methods inherited from class org.gnu.gtk.GtkObject
`sink`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileChooserDialog

    public FileChooserDialog(org.gnu.glib.Handle handle)

### FileChooserDialog

    public FileChooserDialog(java.lang.String title,
                             Window parent,
                             FileChooserAction action)

Method Detail

### getFileChooserDialog

    public static FileChooserDialog getFileChooserDialog(org.gnu.glib.Handle handle)

  Internal static factory method to be used by Java-Gnome only.

### open

    public int open()

  Works similarly to `Dialog.run()`. The only difference is that it also adds the `GtkStockItem.CANCEL` and the `GtkStockItem.OK` buttons to the FileChooserDialog.

  Returns:
    The response that indicates which button the user pressed or `ResponseType.NONE` if the window was destroyed.

### setAction

    public void setAction(FileChooserAction action)

  Specified by:
    `setAction` in interface `FileChooser`

### getAction

    public FileChooserAction getAction()

  Specified by:
    `getAction` in interface `FileChooser`

### setLocalOnly

    public void setLocalOnly(boolean localOnly)

  Specified by:
    `setLocalOnly` in interface `FileChooser`

### getLocalOnly

    public boolean getLocalOnly()

  Specified by:
    `getLocalOnly` in interface `FileChooser`

### setSelectMultiple

    public void setSelectMultiple(boolean selectMultiple)

  Specified by:
    `setSelectMultiple` in interface `FileChooser`

### getSelectMultiple

    public boolean getSelectMultiple()

  Specified by:
    `getSelectMultiple` in interface `FileChooser`

### setCurrentName

    public void setCurrentName(java.lang.String name)

  Specified by:
    `setCurrentName` in interface `FileChooser`

### getFilename

    public java.lang.String getFilename()

  Specified by:
    `getFilename` in interface `FileChooser`

### setFilename

    public boolean setFilename(java.lang.String filename)

  Specified by:
    `setFilename` in interface `FileChooser`

### selectFilename

    public boolean selectFilename(java.lang.String filename)

  Specified by:
    `selectFilename` in interface `FileChooser`

### unselectFilename

    public void unselectFilename(java.lang.String filename)

  Specified by:
    `unselectFilename` in interface `FileChooser`

### selectAll

    public void selectAll()

  Specified by:
    `selectAll` in interface `FileChooser`

### unselectAll

    public void unselectAll()

  Specified by:
    `unselectAll` in interface `FileChooser`

### getFilenames

    public java.lang.String[] getFilenames()

  Specified by:
    `getFilenames` in interface `FileChooser`

### setCurrentFolder

    public boolean setCurrentFolder(java.lang.String folder)

  Specified by:
    `setCurrentFolder` in interface `FileChooser`

### getCurrentFolder

    public java.lang.String getCurrentFolder()

  Specified by:
    `getCurrentFolder` in interface `FileChooser`

### getURI

    public java.lang.String getURI()

  Specified by:
    `getURI` in interface `FileChooser`

### setURI

    public boolean setURI(java.lang.String uri)

  Specified by:
    `setURI` in interface `FileChooser`

### selectURI

    public boolean selectURI(java.lang.String uri)

  Specified by:
    `selectURI` in interface `FileChooser`

### unselectURI

    public void unselectURI(java.lang.String uri)

  Specified by:
    `unselectURI` in interface `FileChooser`

### getURIs

    public java.lang.String[] getURIs()

  Specified by:
    `getURIs` in interface `FileChooser`

### setCurrentFolderURI

    public boolean setCurrentFolderURI(java.lang.String folder)

  Specified by:
    `setCurrentFolderURI` in interface `FileChooser`

### getCurrentFolderURI

    public java.lang.String getCurrentFolderURI()

  Specified by:
    `getCurrentFolderURI` in interface `FileChooser`

### setPreviewWidget

    public void setPreviewWidget(Widget previewWidget)

  Specified by:
    `setPreviewWidget` in interface `FileChooser`

### getPreviewWidget

    public Widget getPreviewWidget()

  Specified by:
    `getPreviewWidget` in interface `FileChooser`

### setUsePreviewLabel

    public void setUsePreviewLabel(boolean useLabel)

  Specified by:
    `setUsePreviewLabel` in interface `FileChooser`

### getUsePreviewLabel

    public boolean getUsePreviewLabel()

  Specified by:
    `getUsePreviewLabel` in interface `FileChooser`

### setPreviewWidgetActive

    public void setPreviewWidgetActive(boolean active)

  Specified by:
    `setPreviewWidgetActive` in interface `FileChooser`

### getPreviewWidgetActive

    public boolean getPreviewWidgetActive()

  Specified by:
    `getPreviewWidgetActive` in interface `FileChooser`

### getPreviewFilename

    public java.lang.String getPreviewFilename()

  Specified by:
    `getPreviewFilename` in interface `FileChooser`

### getPreviewURI

    public java.lang.String getPreviewURI()

  Specified by:
    `getPreviewURI` in interface `FileChooser`

### setExtraWidget

    public void setExtraWidget(Widget extraWidget)

  Specified by:
    `setExtraWidget` in interface `FileChooser`

### getExtraWidget

    public Widget getExtraWidget()

  Specified by:
    `getExtraWidget` in interface `FileChooser`

### addFilter

    public void addFilter(FileFilter filter)

  Specified by:
    `addFilter` in interface `FileChooser`

### removeFilter

    public void removeFilter(FileFilter filter)

  Specified by:
    `removeFilter` in interface `FileChooser`

### listFilters

    public FileFilter[] listFilters()

  Specified by:
    `listFilters` in interface `FileChooser`

### setFilter

    public void setFilter(FileFilter filter)

  Specified by:
    `setFilter` in interface `FileChooser`

### getFilter

    public FileFilter getFilter()

  Specified by:
    `getFilter` in interface `FileChooser`

### addShortcutFolder

    public void addShortcutFolder(java.lang.String folder)
                           throws FileChooserException

  Specified by:
    `addShortcutFolder` in interface `FileChooser`
  Throws:
    `FileChooserException`

### removeShortcutFolder

    public void removeShortcutFolder(java.lang.String folder)
                              throws FileChooserException

  Specified by:
    `removeShortcutFolder` in interface `FileChooser`
  Throws:
    `FileChooserException`

### listShortcutFolders

    public java.lang.String[] listShortcutFolders()

  Specified by:
    `listShortcutFolders` in interface `FileChooser`

### addShortcutURI

    public void addShortcutURI(java.lang.String uri)
                        throws FileChooserException

  Specified by:
    `addShortcutURI` in interface `FileChooser`
  Throws:
    `FileChooserException`

### removeShortcutURI

    public void removeShortcutURI(java.lang.String uri)
                           throws FileChooserException

  Specified by:
    `removeShortcutURI` in interface `FileChooser`
  Throws:
    `FileChooserException`

### listShortcutURIs

    public java.lang.String[] listShortcutURIs()

  Specified by:
    `listShortcutURIs` in interface `FileChooser`

### setShowHidden

    public void setShowHidden(boolean hidden)

  Sets whether hidden files and folders are displayed in the file selector.

  Specified by:
    `setShowHidden` in interface `FileChooser`
  Parameters:
    `hidden` - `true` if hidden files and folders should be displayed.

### getShowHidden

    public boolean getShowHidden()

  Sets whether hidden files and folders are displayed in the file selector.

  Specified by:
    `getShowHidden` in interface `FileChooser`
  Returns:
    `true` if hidden files and folders should be displayed.

### addListener

    public void addListener(FileChooserListener listener)

  Specified by:
    `addListener` in interface `FileChooser`

### removeListener

    public void removeListener(FileChooserListener listener)

  Specified by:
    `removeListener` in interface `FileChooser`